<?php 
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array(
	'key' => 'group_5851001255f7a',
	'title' => 'WooCommerce Cheapest & Most Expensive Product Promotions! - Configurator',
	'fields' => array(
		array(
			'key' => 'field_585100848e8a2',
			'label' => 'Promotions',
			'name' => 'wcgfi_promotions_configurator',
			'type' => 'repeater',
			'instructions' => 'Upper rules have <strong>HIGHER</strong> priority. Keep also in mind that only one rule will be applied per every matching item and it will be the one with higher priority.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => 0,
			'max' => 0,
			'layout' => 'row',
			'button_label' => 'Add promotion',
			'collapsed' => 'field_5851029cb806e',
			'sub_fields' => array(
				array(
					'key' => 'field_5851029cb806e',
					'label' => 'Promotion name',
					'name' => 'wcgfi_promotion_name',
					'type' => 'text',
					'instructions' => 'This text will be displayed in the user cart as identifier for the promotion.',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'maxlength' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
				),
				array(
					'key' => 'field_586237ce6228c',
					'label' => 'Unique ID',
					'name' => 'wcgfi_unique_id',
					'type' => 'unique_id',
					'instructions' => 'Ignore this field, is for internal use only and it is used to identify the promotion.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
				),
				array(
					'key' => 'field_58529e4492a60',
					'label' => 'Is the promotion active?',
					'name' => 'wcgfi_is_the_promotion_active',
					'type' => 'select',
					'instructions' => 'You can temporarly disable the promotion.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'multiple' => 0,
					'allow_null' => 0,
					'choices' => array(
						'yes' => 'Yes',
						'no' => 'No',
					),
					'default_value' => array(
					),
					'ui' => 0,
					'ajax' => 0,
					'placeholder' => '',
					'return_format' => 'value',
				),
				array(
					'key' => 'field_586a6662f7f2c',
					'label' => 'Do not apply if any promotion has been applied',
					'name' => 'wcgfi_do_not_apply_if_any_promotion_has_been_applied',
					'type' => 'true_false',
					'instructions' => 'If <strong>True</strong> is selected, the promotion will not be applied if another promotion has been already applied.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => 0,
					'message' => '',
					'ui' => 1,
					'ui_on_text' => 'True',
					'ui_off_text' => 'False',
				),
				array(
					'key' => 'field_5a04165ab31e2',
					'label' => 'Do not apply promotion if any coupon has been applied to cart',
					'name' => 'wcgfi_do_not_apply_promotion_if_any_coupon_has_been_applied_to_cart',
					'type' => 'true_false',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5a041421b31e0',
					'label' => 'Coupon filter',
					'name' => 'wcgfi_apply_promotion_only_for_selected_coupon',
					'type' => 'post_object',
					'instructions' => 'Apply the promotion only if one of the selected coupon has been applied to the cart. Leave empty to ignore this option.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5a04165ab31e2',
								'operator' => '!=',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'post_type' => array(
						0 => 'shop_coupon',
					),
					'taxonomy' => array(
					),
					'allow_null' => 1,
					'multiple' => 1,
					'return_format' => 'id',
					'ui' => 1,
				),
				array(
					'key' => 'field_5866384f41259',
					'label' => 'Role restriction',
					'name' => 'wcgfi_role_restriction',
					'type' => 'role_selector',
					'instructions' => 'If none selected, the promotion will be applied for all users.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_value' => 'name',
					'field_type' => 'checkbox',
					'allowed_roles' => '',
				),
				array(
					'key' => 'field_58529daf0311f',
					'label' => '1. SET PROMOTION APPLICATION STRATEGY',
					'name' => '',
					'type' => 'separator',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'display_title' => 0,
				),
				array(
					'key' => 'field_585100e78e8a3',
					'label' => 'Promotion application strategy',
					'name' => 'wcgfi_promotion_application_strategy',
					'type' => 'select',
					'instructions' => 'Select if promotion has to be applied according the <strong>cart current total</strong> or if <strong>specific products</strong> (optinally all products) are present on cart.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'cart_total' => 'Cart total',
						'specific_products_on_cart' => 'Specific products added to cart',
					),
					'default_value' => array(
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_58ef7d3bfad47',
					'label' => 'Promotion application method',
					'name' => 'wcgfi_promotion_application_method',
					'type' => 'select',
					'instructions' => '<p><strong>Quantity/Amount range:</strong> Promotion will be applied if the selected items belong to the configured quantity range (<strong>Specific products added to cart</strong> ) or	if the cart total belongs to the configured amount range (<strong>Cart total</strong>).</p>
<p><strong>Every N items/amount spent:</strong> Promotion will be applied every N item (<strong>Specific products added to cart</strong>) or every N amount spent (<strong>Cart total</strong>).</p>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'range' => 'Quantity (Specific products added to cart) / Amount range (Cart total)',
						'every_n_item_or_amount' => 'Every N items (Specific products added to cart) / Every N amount spent (Cart total)',
					),
					'default_value' => array(
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_58513233b6b7e',
					'label' => 'Cart total: min',
					'name' => 'wcgfi_cart_total_min',
					'type' => 'number',
					'instructions' => 'Min cart total value (<strong>excluding taxes</strong>).',
					'required' => 1,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_585100e78e8a3',
								'operator' => '==',
								'value' => 'cart_total',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
							array(
								'field' => 'field_58ef7d3bfad47',
								'operator' => '==',
								'value' => 'range',
							),
						),
					),
					'wrapper' => array(
						'width' => '50',
						'class' => '',
						'id' => '',
					),
					'default_value' => 0,
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'min' => 0,
					'max' => '',
					'step' => '0.01',
				),
				array(
					'key' => 'field_58513276b6b7f',
					'label' => 'Cart total: max',
					'name' => 'wcgfi_cart_total_max',
					'type' => 'number',
					'instructions' => 'Leave empty for no max value	(<strong>excluding taxes</strong>).',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_585100e78e8a3',
								'operator' => '==',
								'value' => 'cart_total',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
							array(
								'field' => 'field_58ef7d3bfad47',
								'operator' => '==',
								'value' => 'range',
							),
						),
					),
					'wrapper' => array(
						'width' => '50',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'min' => 1,
					'max' => '',
					'step' => 1,
				),
				array(
					'key' => 'field_58ef84ab32cb9',
					'label' => 'Cart total: N value',
					'name' => 'wcgfi_cart_total_n_value',
					'type' => 'number',
					'instructions' => 'Every N amount spent the promotion will be applied. Define the N value using this field.',
					'required' => 1,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_585100e78e8a3',
								'operator' => '==',
								'value' => 'cart_total',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
							array(
								'field' => 'field_58ef7d3bfad47',
								'operator' => '==',
								'value' => 'every_n_item_or_amount',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => 1,
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'min' => '0.001',
					'max' => '',
					'step' => '0.001',
				),
				array(
					'key' => 'field_58515a5779047',
					'label' => 'Product/Categories selection',
					'name' => 'wcgfi_products_and_categories_selection',
					'type' => 'repeater',
					'instructions' => 'If at least one of the selected products is present in the user cart, the promotion rule will be applied. Keep in mind that multiple Products/Categories selection blocks are related with <strong>AND</strong>.',
					'required' => 1,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_585100e78e8a3',
								'operator' => '==',
								'value' => 'specific_products_on_cart',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => '',
					'min' => 0,
					'max' => 0,
					'layout' => 'block',
					'button_label' => 'Add products/categories block',
					'sub_fields' => array(
						array(
							'key' => 'field_594243842485d',
							'label' => 'Which product/categories have to considered?',
							'name' => 'wcgfi_which_products_categories_to_consider',
							'type' => 'true_false',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'message' => '',
							'default_value' => 0,
							'ui' => 1,
							'ui_on_text' => 'All products',
							'ui_off_text' => 'Selected products',
						),
						array(
							'key' => 'field_585159b779045',
							'label' => 'Products',
							'name' => 'wcgfi_products',
							'type' => 'post_object',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_594243842485d',
										'operator' => '!=',
										'value' => '1',
									),
								),
							),
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'post_type' => array(
								0 => 'product',
								1 => 'product_variation',
							),
							'taxonomy' => array(
							),
							'allow_null' => 0,
							'multiple' => 1,
							'return_format' => 'id',
							'ui' => 1,
						),
						array(
							'key' => 'field_58515a1779046',
							'label' => 'Categories',
							'name' => 'wcgfi_categories',
							'type' => 'taxonomy',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_594243842485d',
										'operator' => '!=',
										'value' => '1',
									),
								),
							),
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'taxonomy' => 'product_cat',
							'field_type' => 'multi_select',
							'allow_null' => 0,
							'add_term' => 0,
							'save_terms' => 0,
							'load_terms' => 0,
							'return_format' => 'id',
							'multiple' => 0,
						),
						array(
							'key' => 'field_585263336bdf3',
							'label' => 'Categories children',
							'name' => 'wcgfi_categories_children',
							'type' => 'radio',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_594243842485d',
										'operator' => '!=',
										'value' => '1',
									),
								),
							),
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'choices' => array(
								'selected_only' => 'Apply to selected categories only',
								'all_children' => 'Apply to selected categories and all its children',
							),
							'allow_null' => 0,
							'other_choice' => 0,
							'save_other_choice' => 0,
							'default_value' => '',
							'layout' => 'vertical',
							'return_format' => 'value',
						),
						array(
							'key' => 'field_58c15b94cf80e',
							'label' => 'Quantity strategy',
							'name' => 'wcgfi_quantity_policy',
							'type' => 'select',
							'instructions' => '<p>Select which quantity the plugin has to consider: <strong>distinct product quantities</strong> or as <strong>sum of quantities</strong> of the products belonging to the selected products/categories.<br>
<strong>Distinct product quantities:</strong> If each cart item belonging to the selected products or categories satisfies the setted quantity range, the promotion will be applied.<br>
<strong>Sum of quantities:</strong> The plugin will consider the sum of all quantities of the product belonging to the selected products or categories.</p>',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'choices' => array(
								'distinct' => 'Distinct quantities',
								'cumulative' => 'Sum of all quantities',
							),
							'default_value' => array(
							),
							'allow_null' => 0,
							'multiple' => 0,
							'ui' => 0,
							'ajax' => 0,
							'return_format' => 'value',
							'placeholder' => '',
						),
						array(
							'key' => 'field_58515ae20530c',
							'label' => 'Cart item Min quantity',
							'name' => 'wcgfi_quantity_min',
							'type' => 'number',
							'instructions' => 'Min quantity value',
							'required' => 1,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_58ef7d3bfad47',
										'operator' => '==',
										'value' => 'range',
									),
								),
							),
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => 0,
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => 1,
						),
						array(
							'key' => 'field_58515b330530d',
							'label' => 'Cart item Max quantity',
							'name' => 'wcgfi_quantity_max',
							'type' => 'number',
							'instructions' => 'Leave empty for no max value.',
							'required' => 0,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_58ef7d3bfad47',
										'operator' => '==',
										'value' => 'range',
									),
								),
							),
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'min' => 1,
							'max' => '',
							'step' => 1,
						),
						array(
							'key' => 'field_58ef852832cbc',
							'label' => 'Cart item N quantity',
							'name' => 'wcgfi_quantity_n',
							'type' => 'number',
							'instructions' => 'Every N item the strategy will be applied. Select which is the N value using this field',
							'required' => 1,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_58ef7d3bfad47',
										'operator' => '==',
										'value' => 'every_n_item_or_amount',
									),
								),
							),
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => 1,
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'min' => 1,
							'max' => '',
							'step' => 1,
						),
						array(
							'key' => 'field_58c16264a3cb8',
							'label' => 'Consider min/max number of distinct items in cart?',
							'name' => 'wcgfi_consider_distinct_number_of_items',
							'type' => 'select',
							'instructions' => '<p>By default the plugin will consider only the item cart quantities to apply the promotion. You can however set an additional condition by which the number of distinct items that belongs to the selected products and categories has to be in the selected range.<br/>
<strong>Example:</strong> This could be useful if you need that at least X item of a category are present in cart.</p>',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'choices' => array(
								'no' => 'No',
								'yes' => 'Yes',
							),
							'default_value' => array(
							),
							'allow_null' => 0,
							'multiple' => 0,
							'ui' => 0,
							'ajax' => 0,
							'return_format' => 'value',
							'placeholder' => '',
						),
						array(
							'key' => 'field_58c15f9da3cb6',
							'label' => 'Cart distinct items Min quantity',
							'name' => 'wcgfi_distinct_min_item_quantity',
							'type' => 'number',
							'instructions' => '0 or empty means no limit',
							'required' => 1,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_58c16264a3cb8',
										'operator' => '==',
										'value' => 'yes',
									),
								),
							),
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => 0,
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => 1,
						),
						array(
							'key' => 'field_58c16230a3cb7',
							'label' => 'Cart distinct items Max quantity',
							'name' => 'wcgfi_distinct_max_item_quantity',
							'type' => 'number',
							'instructions' => '0 or empty means no limit',
							'required' => 0,
							'conditional_logic' => array(
								array(
									array(
										'field' => 'field_58c16264a3cb8',
										'operator' => '==',
										'value' => 'yes',
									),
								),
							),
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => 0,
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => 1,
						),
					),
				),
				array(
					'key' => 'field_5852502f51d60',
					'label' => '2. SELECT TO WHICH PRODUCT APPLY THE PROMOTION',
					'name' => '2_select_to_which_items_apply_the_promotion',
					'type' => 'separator',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'display_title' => 0,
				),
				array(
					'key' => 'field_585186c64dd1b',
					'label' => 'Select to which products apply the promotion',
					'name' => 'wcgfi_items_to_get_strategy',
					'type' => 'select',
					'instructions' => 'Select to which products have to be applied the promotion: The most Expensive/Cheapest <strong>Product on cart</strong> or <strong>Specific items</strong> (if in cart).',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'cheapest_items' => 'Cheapest product on cart',
						'specific_items' => 'Cheapest among the selected products',
						'expensive_items' => 'Most expensive product on cart',
						'expensive_specific_items' => 'Most expensive among the selected products',
					),
					'default_value' => array(
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5851855513a4b',
					'label' => 'Select products',
					'name' => 'wcgfi_specific_items_to_get',
					'type' => 'repeater',
					'instructions' => 'Cheapest item will be selected among the selected products and discount will be applied according the <strong>Max quantity</strong> currently in cart.',
					'required' => 1,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_585186c64dd1b',
								'operator' => '==',
								'value' => 'specific_items',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
						array(
							array(
								'field' => 'field_585186c64dd1b',
								'operator' => '==',
								'value' => 'expensive_specific_items',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => '',
					'min' => 0,
					'max' => 0,
					'layout' => 'block',
					'button_label' => 'Add products',
					'sub_fields' => array(
						array(
							'key' => 'field_585185d013a4c',
							'label' => 'Products',
							'name' => 'wcgfi_products',
							'type' => 'post_object',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'post_type' => array(
								0 => 'product',
								1 => 'product_variation',
							),
							'taxonomy' => array(
							),
							'allow_null' => 0,
							'multiple' => 1,
							'return_format' => 'id',
							'ui' => 1,
						),
						array(
							'key' => 'field_5851862113a4d',
							'label' => 'Categories',
							'name' => 'wcgfi_categories',
							'type' => 'taxonomy',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'taxonomy' => 'product_cat',
							'field_type' => 'multi_select',
							'multiple' => 0,
							'allow_null' => 0,
							'return_format' => 'id',
							'add_term' => 0,
							'load_terms' => 0,
							'save_terms' => 0,
						),
						array(
							'key' => 'field_585190b36fd73',
							'label' => 'Categories children',
							'name' => 'wcgfi_categories_children',
							'type' => 'radio',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'layout' => 'vertical',
							'choices' => array(
								'selected_only' => 'Apply to selected categories only',
								'all_children' => 'Apply to selected categories and all its children',
							),
							'default_value' => '',
							'other_choice' => 0,
							'save_other_choice' => 0,
							'allow_null' => 0,
							'return_format' => 'value',
						),
						array(
							'key' => 'field_58591624d1dd6',
							'label' => 'The most expensive/cheapest product percentage discount',
							'name' => 'wcgfi_cheapest_item_discount',
							'type' => 'number',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => 100,
							'placeholder' => '',
							'prepend' => '',
							'append' => '%',
							'min' => 1,
							'max' => 100,
							'step' => 1,
						),
						array(
							'key' => 'field_585916dbd1dd8',
							'label' => 'Max quantity',
							'name' => 'wcgfi_quantity_max',
							'type' => 'number',
							'instructions' => 'Select to how many products have to be applied the promotion. Leave empty for no limits.',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'min' => 1,
							'max' => '',
							'step' => 1,
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
						),
					),
				),
				array(
					'key' => 'field_58519020c8663',
					'label' => 'The most expensive/cheapest product quantity',
					'name' => 'wcgfi_cheapest_item_quantity',
					'type' => 'number',
					'instructions' => 'Select to how many products have to be applied the promotion. Leave empty for no limits.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_585186c64dd1b',
								'operator' => '==',
								'value' => 'cheapest_items',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
						array(
							array(
								'field' => 'field_585186c64dd1b',
								'operator' => '==',
								'value' => 'expensive_items',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => 1,
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'min' => 1,
					'max' => '',
					'step' => 1,
				),
				array(
					'key' => 'field_585915b1d1dd5',
					'label' => 'The most expensive/cheapest product percentage discount',
					'name' => 'wcgfi_cheapest_item_discount',
					'type' => 'number',
					'instructions' => 'This is the discount percentage that will be applied. It is computed using the product price (<strong>wihout taxes</strong>). For example: 100 means that will be applied a 100% discount.',
					'required' => 1,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_585186c64dd1b',
								'operator' => '==',
								'value' => 'cheapest_items',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
						array(
							array(
								'field' => 'field_585186c64dd1b',
								'operator' => '==',
								'value' => 'expensive_items',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => 100,
					'placeholder' => '',
					'prepend' => '',
					'append' => '%',
					'min' => 1,
					'max' => 100,
					'step' => 1,
				),
				array(
					'key' => 'field_585191d0c64b0',
					'label' => 'Exclude the selected products on products/categories blocks',
					'name' => 'wcgfi_exclude_selected_items',
					'type' => 'select',
					'instructions' => '<p>By default the plugin selects the most expensive/cheapest product considering all the intems on cart. You may exclude from the computation the ones you have specified in the <strong>Product/Categories selection</strong> field.</p>',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_585100e78e8a3',
								'operator' => '==',
								'value' => 'specific_products_on_cart',
							),
							array(
								'field' => 'field_585186c64dd1b',
								'operator' => '==',
								'value' => 'cheapest_items',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
						array(
							array(
								'field' => 'field_585100e78e8a3',
								'operator' => '==',
								'value' => 'specific_products_on_cart',
							),
							array(
								'field' => 'field_585186c64dd1b',
								'operator' => '==',
								'value' => 'expensive_items',
							),
							array(
								'field' => 'field_58529e4492a60',
								'operator' => '==',
								'value' => 'yes',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'no' => 'No',
						'yes' => 'Yes',
					),
					'default_value' => array(
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
			),
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-promotions',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

endif;
?>