<?php 
$wcgfi_active_plugins = get_option('active_plugins');
$wcgfi_acf_pro = 'advanced-custom-fields-pro/acf.php';
$wcgfi_acf_pro_is_aleady_active = in_array($wcgfi_acf_pro, $wcgfi_active_plugins) || class_exists('acf') ? true : false;
if(!$wcgfi_acf_pro_is_aleady_active)
	include_once( WCGFI_PLUGIN_ABS_PATH . '/classes/acf/acf.php' );

$wcgfi_hide_menu = true;
if ( ! function_exists( 'is_plugin_active' ) ) 
{
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); 
}
/* Checks to see if the acf pro plugin is activated  */
if ( is_plugin_active('advanced-custom-fields-pro/acf.php') )  {
	$wcgfi_hide_menu = false;
}

/* Checks to see if the acf plugin is activated  */
if ( is_plugin_active('advanced-custom-fields/acf.php') ) 
{
	add_action('plugins_loaded', 'wcgfi_load_acf_standard_last', 10, 2 ); //activated_plugin
	add_action('deactivated_plugin', 'wcgfi_detect_plugin_deactivation', 10, 2 ); //activated_plugin
	$wcgfi_hide_menu = false;
}
function wcgfi_detect_plugin_deactivation(  $plugin, $network_activation ) { //after
   // $plugin == 'advanced-custom-fields/acf.php'
	//wcgfi_var_dump("wcgfi_detect_plugin_deactivation");
	$acf_standard = 'advanced-custom-fields/acf.php';
	if($plugin == $acf_standard)
	{
		$active_plugins = get_option('active_plugins');
		$this_plugin_key = array_keys($active_plugins, $acf_standard);
		if (!empty($this_plugin_key)) 
		{
			foreach($this_plugin_key as $index)
				unset($active_plugins[$index]);
			update_option('active_plugins', $active_plugins);
			//forcing
			deactivate_plugins( plugin_basename( WP_PLUGIN_DIR.'/advanced-custom-fields/acf.php') );
		}
	}
} 
function wcgfi_load_acf_standard_last($plugin, $network_activation = null) { //before
	$acf_standard = 'advanced-custom-fields/acf.php';
	$active_plugins = get_option('active_plugins');
	$this_plugin_key = array_keys($active_plugins, $acf_standard);
	if (!empty($this_plugin_key)) 
	{ 
		foreach($this_plugin_key as $index)
			//array_splice($active_plugins, $index, 1);
			unset($active_plugins[$index]);
		//array_unshift($active_plugins, $acf_standard); //first
		array_push($active_plugins, $acf_standard); //last
		update_option('active_plugins', $active_plugins);
	} 
}


if(!$wcgfi_acf_pro_is_aleady_active)
	add_filter('acf/settings/path', 'wcgfi_acf_settings_path');
function wcgfi_acf_settings_path( $path ) 
{
 
    // update path
    $path = WCGFI_PLUGIN_ABS_PATH. '/classes/acf/';
    
    // return
    return $path;
    
}
if(!$wcgfi_acf_pro_is_aleady_active)
	add_filter('acf/settings/dir', 'wcgfi_acf_settings_dir');
function wcgfi_acf_settings_dir( $dir ) {
 
    // update path
    $dir = WCGFI_PLUGIN_PATH . '/classes/acf/';
    
    // return
    return $dir;
    
}

function wcgfi_acf_init() {
    
    include WCGFI_PLUGIN_ABS_PATH . "/assets/fields.php";
    
}
add_action('acf/init', 'wcgfi_acf_init');

//hide acf menu
if($wcgfi_hide_menu)	
	add_filter('acf/settings/show_admin', '__return_false');

//******************************************** CUSTOM FILTERS

/* //add order id to order select
function wcgfi_enhance_orders_list_result( $title, $post, $field, $post_id ) {

    if($post->post_type == 'shop_order')
		$title = "(ID: ".$post->ID.") - ".$title;

    return $title;

}
add_filter('acf/fields/post_object/result', 'wcgfi_enhance_orders_list_result', 10, 4);

//change order 
function change_posts_order( $args ) 
{
	if(isset($args['post_type'][0]) && $args['post_type'][0] == 'shop_order')
	{
		$args['orderby'] = 'date';
		$args['order'] = 'DESC';
	}
	return $args;
}
add_filter( 'acf/fields/post_object/query', 'change_posts_order' ); */

function wcgfi_get_variation_complete_name($variation_id)
{
	$error = false;
	$variation = null;
	
	//Backward compatibility
	if(version_compare( WC_VERSION, '2.7', '<' ))
	{
		try
		{
			$variation = new WC_Product_Variation($variation_id);
		}
		catch(Exception $e){$error = true;}
		if($error) 
			try
			{
				$error = false;
				$variation = new WC_Product($variation_id);
				return $variation->get_title();
			}catch(Exception $e){$error = true;}
		
		if($error)
			return "";
	}
	else // > 3.0
	{
		$variation = wc_get_product($variation_id);
		if($variation == null)
			return "";
		if($variation->is_type('simple'))
			return $variation->get_title();
	}
	
	$product_name = $variation->get_title()." - ";	
	if($product_name == " - ")
		return false;
	$attributes_counter = 0;
	foreach($variation->get_variation_attributes( ) as $attribute_name => $value)
	{
		
		if($attributes_counter > 0)
			$product_name .= ", ";
		$meta_key = urldecode( str_replace( 'attribute_', '', $attribute_name ) ); 
		
		$product_name .= " ".wc_attribute_label($meta_key).": ".$value;
		$attributes_counter++;
	}
	return $product_name;
}

function wcgfi_change_product_name( $title, $post, $field, $post_id ) {

    if($post->post_type == "product_variation" )
	{
		$title_temp = "#{$post->ID} - ".wcgfi_get_variation_complete_name($post->ID);
		$title = $title_temp != false && $title_temp != "" ? $title_temp : $title;
	}
	 return $title;
}
add_filter('acf/fields/post_object/result', 'wcgfi_change_product_name', 10, 4);


function wcgfi_acf_manage_wpml_translation( $post_id  ) 
{
	if( empty($_POST['acf']) || $_GET['page'] != WCGFI_PromotionsConfiguratorPage::$page_id) 
        return;
	
	global $wcgfi_wpml_helper;
    $fields_groups = $_POST['acf'];
	
	foreach($fields_groups as $fields_group) //repeater
		foreach($fields_group as $fields_array)
		{
			$counter = 0;
			$title = $id = "";
			foreach($fields_array as $field)
			{
				if($counter == 0) //title 
					$title = $field;
				if($counter == 1) //id 
					$id = $field;
				$counter++;
			}
			$wcgfi_wpml_helper->register_single_string($id,$title);
		}
	
}
add_filter('acf/save_post', 'wcgfi_acf_manage_wpml_translation', 1);
//******************************************** CUSTOM COMPONENT


function wcgfi_include_extra_fields( $version ) 
{
	if(!class_exists('acf_field_separator'))
		/* include_once(WCGFI_PLUGIN_ABS_PATH.'/classes/com/vendor/acf-field-separator/acf-field_separator.php'); */
		include_once(WCGFI_PLUGIN_ABS_PATH.'/classes/com/vendor/acf-field-separator/acf-separator-v5.php');
	if(!class_exists('acf_field_unique_id'))
		include_once(WCGFI_PLUGIN_ABS_PATH.'/classes/com/vendor/acf-field-unique-id/acf-unique_id-v5.php');
	
	if(!class_exists('acf_field_role_selector'))
		include_once(WCGFI_PLUGIN_ABS_PATH.'/classes/com/vendor/acf-role-selector-field/acf-role_selector-v5.php');
}
add_action('acf/include_field_types', 'wcgfi_include_extra_fields');
?>