<?php 
class WCGFI_Promotion
{
	var $promotions_cache;
	public function __construct()
	{
	}
	public function cl_acf_set_language() 
	{
	  return acf_get_setting('default_language');
	}
	public function get_active_promotions()
	{
		global $wcgfi_product_model, $wcgfi_wpml_helper, $wcgfi_customer_model;
		$promotions = $this->get_promotions();
		$result = array();
		foreach($promotions as $promotion)
		{
			 if($promotion['is_the_promotion_active'] == 'no' || !$wcgfi_customer_model->belongs_to_roles($promotion['role_restriction']))
					continue; 
				
			$new_promotion = array();
			$new_promotion['promotion_name'] = $promotion['promotion_name']; 
			$new_promotion['do_not_apply_if_any_promotion_has_been_applied'] = $promotion['do_not_apply_if_any_promotion_has_been_applied']; 
			$new_promotion['unique_id'] = $promotion['unique_id']; 
			$new_promotion['promotion_application_strategy'] = $promotion['promotion_application_strategy']; 
			$new_promotion['promotion_application_method'] = $promotion['promotion_application_method']; 
			$new_promotion['role_restriction'] = $promotion['role_restriction']; 
			
			//coupon filter 
			$new_promotion['apply_promotion_only_for_selected_coupon'] = $promotion['apply_promotion_only_for_selected_coupon'] ;
			$new_promotion['do_not_apply_promotion_if_any_coupon_has_been_applied_to_cart'] = $promotion['do_not_apply_promotion_if_any_coupon_has_been_applied_to_cart'] ;
			
			//1. Restricion stragy 
			if($promotion['promotion_application_strategy'] == 'cart_total')
			{
				//These indexes doens't always exists
				$new_promotion['cart_total_min'] = $promotion['cart_total_min']; //(1.1)
				$new_promotion['cart_total_max'] = $promotion['cart_total_max']; //(1.2)
				$new_promotion['cart_total_n_value'] = $promotion['cart_total_n_value']; //new
				//
			}
			elseif($promotion['promotion_application_strategy'] == 'specific_products_on_cart')
			{
				$new_promotion['cart_products_restriction'] = array();
				foreach( $promotion['products_and_categories_selection'] as $products_and_categories_selection)
				{
					//Product & categories
					$product_ids = $products_and_categories_selection['products'];
					$additional_ids = $wcgfi_product_model->get_products_by_category_ids($products_and_categories_selection['categories'], $products_and_categories_selection['categories_children']);
					/* if($specific_items_to_get['selected_strategy'] != 'all')
							$additional_ids = $this->get_complementry_ids($additional_ids, $custom_post_type); */
					
					if(!empty($additional_ids))
						$product_ids = array_unique(array_merge($product_ids, $additional_ids), SORT_REGULAR);
					
					//WPML (if site is multilanguage)
					$additional_ids = $wcgfi_wpml_helper->get_all_translation_ids_for_multiple_ids($product_ids);
					if($additional_ids != false && !empty($additional_ids))
					{
						//wcgfi_var_dump($additional_ids);
						$product_ids = array_unique(array_merge($product_ids, $additional_ids), SORT_REGULAR);
					}
					//This index doens't always exist
					$new_promotion['cart_products_restriction'][] = array( 'product_ids' =>  $product_ids,
																		 'quantity_policy' => $products_and_categories_selection['quantity_policy'],
																		 'which_products_categories_to_consider' => $products_and_categories_selection['which_products_categories_to_consider'],
																		 'quantity_n'  => $products_and_categories_selection['quantity_n'], 
																		 'quantity_min'  => $products_and_categories_selection['quantity_min'], 
																		 'quantity_max'  => $products_and_categories_selection['quantity_max'] != 0 && is_numeric($products_and_categories_selection['quantity_max']) ? $products_and_categories_selection['quantity_max'] : 'none', 
																		 'consider_distinct_number_of_items'  => $products_and_categories_selection['consider_distinct_number_of_items'],
																		 'distinct_min_item_quantity'  => $products_and_categories_selection['distinct_min_item_quantity'] == "" || !is_numeric($products_and_categories_selection['distinct_min_item_quantity']) ? 0 : $products_and_categories_selection['distinct_min_item_quantity'],
																		 'distinct_max_item_quantity'  => $products_and_categories_selection['distinct_max_item_quantity'] == "" || !is_numeric($products_and_categories_selection['distinct_max_item_quantity']) ? 0 : $products_and_categories_selection['distinct_max_item_quantity']
																		 );//(2.1)
				}
			}
			
			//2. Free item ids
			$new_promotion['items_to_get_strategy']  = $promotion['items_to_get_strategy']; 
			if($new_promotion['items_to_get_strategy'] == 'specific_items' || $new_promotion['items_to_get_strategy'] == 'expensive_specific_items') 
			{
				$new_promotion['items_to_get'] = array(); //(3.1)
				foreach($promotion['specific_items_to_get'] as $specific_items_to_get)
				{
					$product_ids = $specific_items_to_get['products'];
					$additional_ids = $wcgfi_product_model->get_products_by_category_ids($specific_items_to_get['categories'], $specific_items_to_get['categories_children']);
					/* if($specific_items_to_get['selected_strategy'] != 'all')
							$additional_ids = $this->get_complementry_ids($additional_ids, $custom_post_type); */
					
					if(!empty($additional_ids))
						$product_ids = array_unique(array_merge($product_ids, $additional_ids), SORT_REGULAR);
					
					//WPML (if site is multilanguage)
					$additional_ids = $wcgfi_wpml_helper->get_all_translation_ids_for_multiple_ids($product_ids);
					if($additional_ids != false && !empty($additional_ids))
					{
						//wcgfi_var_dump($additional_ids);
						$product_ids = array_unique(array_merge($product_ids, $additional_ids), SORT_REGULAR);
					}
					//This index doens't always exist
					$new_promotion['items_to_get'][] = array( 'product_ids' =>  $product_ids, 
															  'quantity_max'  => $specific_items_to_get['quantity_max'] != 0 ? $specific_items_to_get['quantity_max'] : 'none',
															  'cheapest_item_discount' => $specific_items_to_get['cheapest_item_discount']);
				}
			}
			else //This index doens't always exist
			{
				$new_promotion['cheapest_item_quantity'] = $promotion['cheapest_item_quantity']; //(4.1)
				$new_promotion['cheapest_item_discount'] = $promotion['cheapest_item_discount']; //(4.2)
				$new_promotion['exclude_selected_items'] = $promotion['exclude_selected_items']; //(4.3)
			}
			
			$result[] = $new_promotion;
		}//end foreach promotions
		
		return $result;
	}
	
	private function get_promotions()
	{
		if(isset($this->promotions_cache))
			return $this->promotions_cache;
		 
		$return_value = array();
		add_filter('acf/settings/current_language',  array(&$this, 'cl_acf_set_language'), 100);
		if( have_rows('wcgfi_promotions_configurator', 'option') )
			while ( have_rows('wcgfi_promotions_configurator', 'option') ) 
			{
				the_row();
				$new_row = array();
				$new_row['promotion_name'] = get_sub_field('wcgfi_promotion_name', 'option');
				$new_row['unique_id'] = get_sub_field('wcgfi_unique_id', 'option');
				$new_row['is_the_promotion_active'] = get_sub_field('wcgfi_is_the_promotion_active', 'option');
				$new_row['do_not_apply_if_any_promotion_has_been_applied'] = get_sub_field('wcgfi_do_not_apply_if_any_promotion_has_been_applied', 'option');
				$new_row['do_not_apply_if_any_promotion_has_been_applied'] = isset($new_row['do_not_apply_if_any_promotion_has_been_applied']) ? $new_row['do_not_apply_if_any_promotion_has_been_applied'] : false;
				$new_row['role_restriction'] = get_sub_field('wcgfi_role_restriction');
				
				foreach((array)$new_row['role_restriction'] as $key => $role)
					if($role=="")
						unset($new_row['role_restriction'][$key]);
				/* if($new_row['is_the_promotion_active'] == 'no')
					continue; */
				$new_row['promotion_application_strategy'] = get_sub_field('wcgfi_promotion_application_strategy', 'option'); // cart_total || specific_products_on_cart
				
				$new_row['promotion_application_method'] = get_sub_field('wcgfi_promotion_application_method', 'option'); // range || every_n_item_or_amount
				$new_row['promotion_application_method'] = $new_row['promotion_application_method'] ? $new_row['promotion_application_method'] : 'range';
				
				$new_row['cart_total_min'] = get_sub_field('wcgfi_cart_total_min', 'option');
				
				$new_row['cart_total_max'] = get_sub_field('wcgfi_cart_total_max', 'option');
				$new_row['cart_total_max'] = $new_row['cart_total_max'] || $new_row['cart_total_max'] != '' ? $new_row['cart_total_max'] : 'none';
				
				$new_row['cart_total_n_value'] = get_sub_field('wcgfi_cart_total_n_value', 'option');
				
				$new_row['products_and_categories_selection'] = array();
				if( have_rows('wcgfi_products_and_categories_selection', 'option') )
					while ( have_rows('wcgfi_products_and_categories_selection', 'option') ) 
					{
						the_row();
						$products_and_categories_selection = array();
						$products_and_categories_selection['products'] = get_sub_field('wcgfi_products', 'option');
						
						$products_and_categories_selection['which_products_categories_to_consider'] = get_sub_field('wcgfi_which_products_categories_to_consider', 'option');
						$products_and_categories_selection['which_products_categories_to_consider'] = $products_and_categories_selection['which_products_categories_to_consider'] ? $products_and_categories_selection['which_products_categories_to_consider'] : false;
						
						$products_and_categories_selection['products'] = $products_and_categories_selection['products'] ? $products_and_categories_selection['products'] : array();
						$products_and_categories_selection['categories'] = get_sub_field('wcgfi_categories', 'option');
						$products_and_categories_selection['categories'] = $products_and_categories_selection['categories'] ? $products_and_categories_selection['categories'] : array();
						$products_and_categories_selection['categories_children'] = get_sub_field('wcgfi_categories_children', 'option'); // selected_only || all_children
						$products_and_categories_selection['quantity_n'] = get_sub_field('wcgfi_quantity_n', 'option');
						$products_and_categories_selection['quantity_min'] = get_sub_field('wcgfi_quantity_min', 'option');
						$products_and_categories_selection['quantity_max'] = get_sub_field('wcgfi_quantity_max', 'option');
						$products_and_categories_selection['quantity_max'] = isset($products_and_categories_selection['quantity_max']) && $products_and_categories_selection['quantity_max'] != '' ? $products_and_categories_selection['quantity_max'] : 'none';
						$products_and_categories_selection['quantity_policy'] = get_sub_field('wcgfi_quantity_policy', 'option');
						$products_and_categories_selection['quantity_policy'] = $products_and_categories_selection['quantity_policy']? $products_and_categories_selection['quantity_policy'] : 'distinct';
						$products_and_categories_selection['consider_distinct_number_of_items'] = get_sub_field('wcgfi_consider_distinct_number_of_items', 'option');
						$products_and_categories_selection['consider_distinct_number_of_items'] = $products_and_categories_selection['consider_distinct_number_of_items']? $products_and_categories_selection['consider_distinct_number_of_items'] : 'no';
						$products_and_categories_selection['distinct_min_item_quantity'] = get_sub_field('wcgfi_distinct_min_item_quantity', 'option');
						$products_and_categories_selection['distinct_min_item_quantity'] = $products_and_categories_selection['distinct_min_item_quantity']? $products_and_categories_selection['distinct_min_item_quantity'] : 0;
						$products_and_categories_selection['distinct_max_item_quantity'] = get_sub_field('wcgfi_distinct_max_item_quantity', 'option');
						$products_and_categories_selection['distinct_max_item_quantity'] = $products_and_categories_selection['distinct_max_item_quantity']? $products_and_categories_selection['distinct_max_item_quantity'] : 0;
						
						$new_row['products_and_categories_selection'][] = $products_and_categories_selection;
					}
				$new_row['items_to_get_strategy'] = get_sub_field('wcgfi_items_to_get_strategy', 'option'); // cheapest_items || specific_items
				$new_row['specific_items_to_get'] = array();
				if( have_rows('wcgfi_specific_items_to_get', 'option') )
					while ( have_rows('wcgfi_specific_items_to_get', 'option') ) 
					{
						the_row();
						$specific_items_to_get = array();
						$specific_items_to_get['products'] = get_sub_field('wcgfi_products', 'option');
						$specific_items_to_get['products'] = $specific_items_to_get['products'] ? $specific_items_to_get['products'] : array();
						$specific_items_to_get['categories'] = get_sub_field('wcgfi_categories', 'option');
						$specific_items_to_get['categories'] = $specific_items_to_get['categories'] ? $specific_items_to_get['categories'] : array();
						$specific_items_to_get['categories_children'] = get_sub_field('wcgfi_categories_children', 'option');
						$specific_items_to_get['quantity_max'] = get_sub_field('wcgfi_quantity_max', 'option');
						$specific_items_to_get['quantity_max'] = isset($specific_items_to_get['quantity_max']) && $specific_items_to_get['quantity_max'] != '' ? $specific_items_to_get['quantity_max'] : 'none';
						
						$specific_items_to_get['cheapest_item_discount'] = get_sub_field('wcgfi_cheapest_item_discount', 'option');
						$new_row['specific_items_to_get'][] = $specific_items_to_get;
					}
				$new_row['cheapest_item_quantity'] = get_sub_field('wcgfi_cheapest_item_quantity', 'option');	
				$new_row['cheapest_item_quantity'] = isset($new_row['cheapest_item_quantity']) && $new_row['cheapest_item_quantity'] != '' ? $new_row['cheapest_item_quantity'] : 'none';
				$new_row['exclude_selected_items'] = get_sub_field('wcgfi_exclude_selected_items', 'option');	// no || yes
				$new_row['exclude_selected_items'] = $new_row['exclude_selected_items'] ? $new_row['exclude_selected_items'] : "no";
				$new_row['cheapest_item_discount'] = get_sub_field('wcgfi_cheapest_item_discount', 'option');	
				
				//coupon
				$new_row['apply_promotion_only_for_selected_coupon'] = get_sub_field('wcgfi_apply_promotion_only_for_selected_coupon', 'option');	
				$new_row['apply_promotion_only_for_selected_coupon'] = $new_row['apply_promotion_only_for_selected_coupon'] ? $new_row['apply_promotion_only_for_selected_coupon'] : array();
				$new_row['do_not_apply_promotion_if_any_coupon_has_been_applied_to_cart'] = get_sub_field('wcgfi_do_not_apply_promotion_if_any_coupon_has_been_applied_to_cart', 'option');	
				$new_row['do_not_apply_promotion_if_any_coupon_has_been_applied_to_cart'] = $new_row['do_not_apply_promotion_if_any_coupon_has_been_applied_to_cart'] ? $new_row['do_not_apply_promotion_if_any_coupon_has_been_applied_to_cart'] : false;	
				
				$return_value[] = $new_row;
			}
		
		remove_filter('acf/settings/current_language', array(&$this,'cl_acf_set_language'), 100);
		$this->promotions_cache = $return_value;
		return  $return_value;
	}
}
?>