<?php 
/*
Plugin Name: WooCommerce Cheapest & Most Expensive Product Promotions!
Description:  Automatically apply promotions to the most expensive or the cheapest product on cart.
Author: Lagudi Domenico
Version: 3.2
*/

/* 
Copyright: WooCommerce Cheapest Item! uses the ACF PRO plugin. ACF PRO files are not to be used or distributed outside of the WooCommerce Cheapest Item! plugin.
*/
define('WCGFI_PLUGIN_PATH', rtrim(plugin_dir_url(__FILE__), "/") )  ;
define('WCGFI_PLUGIN_ABS_PATH', plugin_dir_path( __FILE__ ) );

if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) 
{
	//com
	include 'classes/com/WCGFI_Acf.php';
	
	if(!class_exists('WCGFI_Wpml'))
		require_once('classes/com/WCGFI_Wpml.php');
	$wcgfi_wpml_helper = new WCGFI_Wpml();
	if(!class_exists('WCGFI_Product'))
		require_once('classes/com/WCGFI_Product.php');
	$wcgfi_product_model = new WCGFI_Product();
	if(!class_exists('WCGFI_FreeItemRule'))
		require_once('classes/com/WCGFI_Promotion.php');
	$wcgfi_promotion_model = new WCGFI_Promotion();
	if(!class_exists('WCGFI_Cart'))
		require_once('classes/com/WCGFI_Cart.php');
	$wcgfi_cart_model = new WCGFI_Cart();
	if(!class_exists('WCGFI_Customer'))
		require_once('classes/com/WCGFI_Customer.php');
	$wcgfi_customer_model = new WCGFI_Customer();
	
	//admin 
	if(!class_exists('WCGFI_PromotionsConfiguratorPage'))
		require_once('classes/admin/WCGFI_PromotionsConfiguratorPage.php');
	
	
	add_action('admin_menu', 'wcgfi_init_admin_panel');
	add_action('admin_init', 'wcgfi_admin_init');
	add_action('init', 'wcgfi_init');
}
function wcgfi_init()
{
	load_plugin_textdomain('woocommerce-cheapest-item', false, basename( dirname( __FILE__ ) ) . '/languages' );
}
function wcgfi_admin_init()
{
	$remove = remove_submenu_page( 'woocommerce-cheapest-item', 'woocommerce-cheapest-item');
}	
function wcgfi_init_admin_panel()
{
	$place = $place = wcgfi_get_free_menu_position(55, 0.1);
	
	$hookname  = add_menu_page( __( 'Product Promotions!', 'woocommerce-cheapest-item' ), __( 'Product Promotions!', 'woocommerce-cheapest-item' ), 'manage_woocommerce', 'woocommerce-cheapest-item', null, WCGFI_PLUGIN_PATH."/images/icon.png", (string)$place );
	//add_submenu_page('woocommerce-cheapest-item', __('Configurator','woocommerce-cheapest-item'), __('Configurator','woocommerce-cheapest-item'), 'edit_shop_orders', 'woocommerce-cheapest-item-bulk-import', 'wcgfi_render_bulk_import_page');
	$rule_configurator = new WCGFI_PromotionsConfiguratorPage();

	//wcgfi_var_dump($remove );	
}
function wcgfi_get_free_menu_position($start, $increment = 0.1)
{
	foreach ($GLOBALS['menu'] as $key => $menu) {
		$menus_positions[] = $key;
	}
	
	if (!in_array($start, $menus_positions)) return $start;

	/* the position is already reserved find the closet one */
	while (in_array($start, $menus_positions)) 
	{
		$start += $increment;
	}
	return $start;
}
function wcgfi_var_dump($data)
{
	echo "<pre>";
	var_dump($data);
	echo "</pre>";
}
?>